com.google.gwt.json.client

## Class JSONString

- java.lang.Object
- - com.google.gwt.json.client.JSONValue
  - - com.google.gwt.json.client.JSONString

    public class JSONString
    extends JSONValue

Represents a JSON string.

### Constructor Summary

Constructors
Constructor and Description
`JSONString(java.lang.String value)` Creates a new JSONString from the supplied String.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object other)`
`(package private) JavaScriptObject` `getUnwrapper()` Internal.
`int` `hashCode()`
`JSONString` `isString()` Returns `this`, as this is a JSONString.
`java.lang.String` `stringValue()` Returns the raw Java string value of this item.
`java.lang.String` `toString()` Returns the JSON formatted value of this string, quoted for evaluating in a JavaScript interpreter.

### Methods inherited from class com.google.gwt.json.client.JSONValue

`isArray, isBoolean, isNull, isNumber, isObject`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JSONString

    public JSONString(java.lang.String value)

Creates a new JSONString from the supplied String.

Parameters:
  `value` - a String value
Throws:
  `java.lang.NullPointerException` - if `value` is `null`

### Method Detail

#### equals

    public boolean equals(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### isString

    public JSONString isString()

Returns `this`, as this is a JSONString.

Overrides:
  `isString` in class `JSONValue`
Returns:
  a reference to a JSONString if this JSONValue is a JSONString or `null` otherwise.

#### stringValue

    public java.lang.String stringValue()

Returns the raw Java string value of this item.

#### toString

    public java.lang.String toString()

Returns the JSON formatted value of this string, quoted for evaluating in a JavaScript interpreter.

Specified by:
  `toString` in class `JSONValue`

#### getUnwrapper

    JavaScriptObject getUnwrapper()

Description copied from class: `JSONValue`
Internal. Returns a JS func that can unwrap this value. Used from native code.

Specified by:
  `getUnwrapper` in class `JSONValue`